mobileactivation_activate
mobileactivation_activate_with_session
mobileactivation_client_free
mobileactivation_client_new
mobileactivation_client_start_service
mobileactivation_client_t
mobileactivation_create_activation_info
mobileactivation_create_activation_info_with_session
mobileactivation_create_activation_session_info
mobileactivation_deactivate
mobileactivation_error_t
mobileactivation_get_activation_state
MOBILEACTIVATION_SERVICE_NAME

## mobileactivation_activate()

LIBIMOBILEDEVICE_API mobileactivation_error_t mobileactivation_activate | ( | mobileactivation_client_t | client,
|  | plist_t | activation_record )

Activates the device with the given activation record.

The activation record plist dictionary must be obtained using the activation protocol requesting from Apple's https webservice.

Parameters

  client | The mobileactivation client
  activation_record | The activation record plist dictionary

Returns
  MOBILEACTIVATION_E_SUCCESS on success, or an MOBILEACTIVATION_E_* error code otherwise.